<template>
  <q-page class="bg-grey-2 q-pa-sm">
    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 col-xl-2">
      <q-card class="shadow-up-24 q-pb-xs">
        <q-card-section class="text-white bg-primary">
          <div
            class="text-h6 text-center"
          >
          Pagos para pruebas Psicotecnicas
          </div>
        </q-card-section>
        <q-card-section>
            <div class="q-pa-sm row items-center justify-center">
              <div style="padding-right: 8px;" class="col-xs-12 col-sm-8 col-md-4 col-xl-4">
                <q-input lazy-rules v-model="form.cod" label="Codigo" :error="$v.form.cod.$error" error-message="Dato requerido">
                    <q-tooltip>
                    Ingrese el Codigo *
                </q-tooltip>
                </q-input>
                </div>
                <div style="padding-right: 8px;" class="col-xs-12 col-sm-8 col-md-4 col-xl-4">
                <q-input lazy-rules v-model="form.concept" label="Concepto" :error="$v.form.concept.$error" error-message="Dato requerido">
                    <q-tooltip>
                    Ingrese el concepto *
                </q-tooltip>
                </q-input>
                </div>
                <div style="padding-right: 8px;" class="col-xs-12 col-sm-8 col-md-4 col-xl-4">
                <q-input lazy-rules v-model="form.count" label="Cantidad" :error="$v.form.count.$error" error-message="Dato requerido">
                    <q-tooltip>
                    Ingrese el costo *
                </q-tooltip>
                </q-input>
                </div>
            </div>
            <div>
                <q-btn class="full-width bg-negative" label="Guardar" icon="cloud_upload" @click="AddCounter()" />
            </div>
        </q-card-section>
      </q-card>
    </div>
  </q-page>
</template>
<script>
import { required } from 'vuelidate/lib/validators'
export default {
  data () {
    return {
      form: {},
      copyForm: []
    }
  },
  validations: {
    form: {
      cod: {
        required
      },
      concept: {
        required
      },
      count: {
        required
      }
    }
  },
  mounted () {
    this.beginCod()
  },
  methods: {
    beginCod () {
      this.form = {}
      const cod = this.$route.params.cod
      this.$q.loading.show()
      this.$api.get('CounterCod/' + cod).then(res => {
        this.copyForm = res
        if (this.copyForm.length === 1) {
          this.form = this.copyForm[0]
        }
        this.$q.loading.hide()
      })
    },
    formatPrice (value) {
      const val = (value / 1).toFixed(2).replace('.', ',')
      return val.replace(/\B(?=(\d{3})+(?!\d))/g, '.')
    },
    changes () {
      const buy = this.formatPrice(this.form.count)
      if (buy === 'NaN') {
        console.log('AWANTAAA WEY')
      } else {
        this.form.count = buy
      }
    },
    AddCounter () {
      this.$v.form.$touch()
      if (this.$v.form.$error) {
        console.log('error')
      } else {
        this.changes()
        this.$q.loading.show()
        this.$api.post('AddCountTest', this.form).then(res => {
          console.log(res)
          this.$router.push('/register_counter')
          this.$q.loading.hide()
        })
      }
    }
  }
}
</script>
